elftosb::BinaryValue Class Reference

Binary object value of arbitrary size. More...

`#include <Value.h>`

Inheritance diagram for elftosb::BinaryValue:
[legend]
Collaboration diagram for elftosb::BinaryValue:
[legend]

## Public Member Functions

virtual std::string | getTypeName () const
virtual size_t | getSize () const
Public Member Functions inherited from Blob
| Blob ()
| Default constructor.
| Blob (const uint8_t *data, unsigned length)
| Constructor. More...
| Blob (const Blob &other)
| Copy constructor. More...
virtual | ~Blob ()
| Destructor. More...
| Blob ()
| Default constructor.
| Blob (const uint8_t *data, unsigned length)
| Constructor.
| Blob (const Blob &other)
| Copy constructor.
virtual | ~Blob ()
| Destructor.
void | setData (const uint8_t *data, unsigned length)
| Replaces the blob's data. More...
void | setLength (unsigned length)
| Change the size of the blob's data. More...
void | append (const uint8_t *newData, unsigned newDataLength)
| Adds data to the end of the blob.
void | clear ()
| Disposes of the data.
void | relinquish ()
| Tell the blob that it no longer owns its data.
void | setData (const uint8_t *data, unsigned length)
| Replaces the blob's data.
void | setLength (unsigned length)
| Change the size of the blob's data.
void | append (const uint8_t *newData, unsigned newDataLength)
| Adds data to the end of the blob.
void | clear ()
| Disposes of the data.
void | relinquish ()
| Tell the blob that it no longer owns its data.
uint8_t * | getData ()
const uint8_t * | getData () const
unsigned | getLength () const
uint8_t * | getData ()
const uint8_t * | getData () const
unsigned | getLength () const
| operator uint8_t * ()
| operator const uint8_t * () const
| operator uint8_t * ()
| operator const uint8_t * () const

## Additional Inherited Members

Protected Attributes inherited from Blob
uint8_t * | m_data
| The binary data held by this object.
unsigned | m_length
| Number of bytes pointed to by m_data.

## Detailed Description

Binary object value of arbitrary size.

The documentation for this class was generated from the following file:

- apps/elftosb/common/Value.h